Page MenuHomePhabricator

Show contribution tracking ID in error messages as 'Reference #'
Closed, ResolvedPublic1 Story Points

Description

This would be really simple to implement, and would make it much faster to grep logs for the exact error reason.

Event Timeline

Ejegg created this task.Oct 7 2016, 9:32 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 7 2016, 9:32 PM
Ejegg claimed this task.Oct 7 2016, 9:33 PM
Ejegg set the point value for this task to 1.

Change 314777 had a related patch set uploaded (by Ejegg):
Add ct_id to error forms as reference number.

https://gerrit.wikimedia.org/r/314777

Change 314777 merged by jenkins-bot:
Add ct_id to error forms as reference number.

https://gerrit.wikimedia.org/r/314777

MBeat33 added a subscriber: MBeat33.EditedOct 19 2016, 6:07 PM

@Ejegg the Adyen error message now shows a reference # that is the transaction - this is hugely helpful!! Donors will often use a different email to contact us than the address for donation, being able to just plug in the error code is a giant improvement - Thank you!

This works really well for Adyen. For Ingenico, what shows in the error message is the first part of the External Reference number, for example: 38905280. We're unable to search by these partial numbers.

Would it be possible to update this for Ingenico, so that the full External Reference number (including the '.' and the number to the right of it) appears in the error message? For this example the full # is 38905280.37037. The Order ID for this one is 4279351834.

This would be hugely helpful in finding elusive transactions, and give a real boost to our donor response times.

hmm, maybe it should be always be the order ID then

Ejegg closed this task as Resolved.Oct 26 2016, 10:31 PM
Ejegg moved this task from Done to Doing on the Fundraising Sprint Testing on Production board.
Ejegg moved this task from Doing to Done on the Fundraising Sprint Testing on Production board.